curl --request GET \
--url https://api.jtl-cloud.com/erp/accountingData \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/accountingData"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/accountingData', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"TotalItems": 123,
"PageNumber": 123,
"PageSize": 123,
"Items": [
{
"DocumentNumber": "A1004465",
"DocumentId": 1,
"DocumentDate": "2023-02-01T12:45:00.0000000+00:00",
"SalesOrderNumber": "D456-64894-132",
"SalesOrderId": 123,
"ExternalSalesOrderNumber": "B342-46456-4234",
"DepartureCountry": {
"CountryISO": "DE",
"StateISO": "PA"
},
"ShipmentCountry": {
"CountryISO": "DE",
"StateISO": "PA"
},
"BillingAddress": {
"Id": 123,
"Company": "Sportbedarf Sommer",
"Company2": "Innovation Division",
"FormOfAddress": "Mr.",
"Title": "Dr.",
"FirstName": "John",
"LastName": "Doe",
"Street": "Main St. 123",
"Address2": "Floor 5, Apt 302",
"PostalCode": "12345",
"City": "Example City",
"State": "Example State",
"CountryIso": "DE",
"VatID": "DE123456789",
"PhoneNumber": "+49 1234 445556661",
"MobilePhoneNumber": "+49 160 123 4567",
"EmailAddress": "example@email.com",
"Fax": "+49 1234 4455566615"
},
"ShipmentAddress": {
"Id": 123,
"Company": "Sportbedarf Sommer",
"Company2": "Innovation Division",
"FormOfAddress": "Mr.",
"Title": "Dr.",
"FirstName": "John",
"LastName": "Doe",
"Street": "Main St. 123",
"Address2": "Floor 5, Apt 302",
"PostalCode": "12345",
"City": "Example City",
"State": "Example State",
"CountryIso": "DE",
"VatID": "DE123456789",
"PhoneNumber": "+49 1234 445556661",
"MobilePhoneNumber": "+49 160 123 4567",
"EmailAddress": "example@email.com",
"Fax": "+49 1234 4455566615"
},
"CurrencyIso": "EUR",
"Type": 0,
"CompanyId": 123,
"CompanyVatId": "DE123456789",
"CustomerVatId": "DE123456789",
"SalesChannelId": "1-1-1",
"IsCancelled": false,
"AccountDataLineItems": [
{
"ItemId": 123,
"Type": 0,
"Name": "USB Headset",
"TaxClassId": 123,
"GeneralLedgerAccount": "4300",
"Quantity": 1,
"VatRate": 19,
"VatAmount": 24.99,
"TotalDiscountGrossAmount": 3,
"TotalDiscountNetAmount": 2.43,
"TotalGrossAmount": 19.99,
"TotalNetAmount": 16.19,
"SortOrder": 1
}
]
}
],
"TotalPages": 123,
"HasPreviousPage": true,
"HasNextPage": true,
"NextPageNumber": 123,
"PreviousPageNumber": 123
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Query Accounting Data
Delivers a paginated overview of finalized accounting transactions, including invoices, credits, and their cancellations and corrections.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Query Parameters
Filters documents starting from a specific date and time
Filters documents up to a specific date and time
Specifies the type of document. 0 = Invoice, 1 = Credit, 2 = Invoice correction, 3 = Invoice cancellation, 4 = credit cancellation, 5 = invoice correction cancellation 0 = Invoice, 1 = Credit, 2 = InvoiceCorrection, 3 = InvoiceCancellation, 4 = CreditCancellation, 5 = InvoiceCorrectionCancellation, 6 = Liquidation, 7 = LiquidationCancellation
0, 1, 2, 3, 4, 5, 6, 7 If true, exports total sums in the currency of the departure country
Number of the page of items to fetch.
Size of the page that is specified by pageNumber.
Response
Provides a detailed overview of all non-pending sales orders, including invoices, credits, invoice corrections, invoice cancellations, credit cancellations, and invoice correction cancellations, along with their associated line items
Represents a paginated list of items
Gets or sets the total number of items available in the data source.
Gets or sets the current page number in the paginated list.
Gets or sets the number of items per page in the paginated list.
Gets or sets the collection of items contained in the paged list.
Show child attributes
Show child attributes
Gets the total number of pages based on the total number of items and the page size.
Gets a value indicating whether there is a previous page available in the paginated list.
Gets a value indicating whether there is a next page available.
Gets the number of the next page if there is one; otherwise, returns the total number of pages.
Gets the number of the previous page. If there is no previous page, it returns 1.
Was this page helpful?